org.apache.tinkerpop.gremlin.process.traversal.strategy.verification

## Class ReservedKeysVerificationStrategy

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.strategy.AbstractTraversalStrategy<TraversalStrategy.VerificationStrategy>
  - - org.apache.tinkerpop.gremlin.process.traversal.strategy.verification.AbstractWarningVerificationStrategy
    - - org.apache.tinkerpop.gremlin.process.traversal.strategy.verification.ReservedKeysVerificationStrategy

- All Implemented Interfaces:
    Serializable, Comparable<Class<? extends TraversalStrategy>>, TraversalStrategy<TraversalStrategy.VerificationStrategy>, TraversalStrategy.VerificationStrategy

      public class ReservedKeysVerificationStrategy
      extends AbstractWarningVerificationStrategy

  This verification strategy detects property keys that should not be used by the traversal. A term may be reserved by a particular graph implementation or as a convention given best practices.
  Author:
    Stephen Mallette (http://stephen.genoprime.com) * @example

          * __.addV("person").property("id", 123)           // throws an IllegalStateException
          * __.addE("knows").property("label", "green")     // throws an IllegalStateException
          *

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ReservedKeysVerificationStrategy.Builder`

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalStrategy

      `TraversalStrategy.DecorationStrategy, TraversalStrategy.FinalizationStrategy, TraversalStrategy.OptimizationStrategy, TraversalStrategy.ProviderOptimizationStrategy, TraversalStrategy.VerificationStrategy`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `KEYS`

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.process.traversal.strategy.verification.AbstractWarningVerificationStrategy

      `LOG_WARNING, logWarning, THROW_EXCEPTION, throwException`

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalStrategy

      `STRATEGY`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ReservedKeysVerificationStrategy.Builder` | `build()`
    `static ReservedKeysVerificationStrategy` | `create(org.apache.commons.configuration2.Configuration configuration)`
    `org.apache.commons.configuration2.Configuration` | `getConfiguration()` Get the configuration representation of this strategy.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.strategy.verification.AbstractWarningVerificationStrategy

      `apply`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.strategy.AbstractTraversalStrategy

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalStrategy.VerificationStrategy

      `compareTo, getTraversalCategory`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalStrategy

      `applyPost, applyPrior`

- - ### Field Detail

    - #### KEYS

          public static final String KEYS

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### create

          public static ReservedKeysVerificationStrategy create(org.apache.commons.configuration2.Configuration configuration)

    - #### getConfiguration

          public org.apache.commons.configuration2.Configuration getConfiguration()

      Description copied from interface: `TraversalStrategy`
      Get the configuration representation of this strategy. This is useful for converting a strategy into a serialized form.
      Specified by:
        `getConfiguration` in interface `TraversalStrategy<TraversalStrategy.VerificationStrategy>`
      Overrides:
        `getConfiguration` in class `AbstractWarningVerificationStrategy`
      Returns:
        the configuration used to create this strategy

    - #### build

          public static ReservedKeysVerificationStrategy.Builder build()

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.